Skip to main content
Update an Agent MCP installation

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

agentId
string
required
serverId
string<uuid>
required

Body

application/json
name
string
Minimum string length: 1
enabled
boolean
expectedRevision
integer
Required range: x >= 1
authType
enum<string>
Available options:
none,
bearer_token,
custom_header,
oauth
credentialMode
enum<string>
Available options:
none,
workspace,
individual
authHeaderName
string

HTTP header token. Platform routing, hop-by-hop, and MCP transport header names are reserved.

Required string length: 1 - 128
Pattern: ^[!#$%&'*+\-.^_`|~0-9A-Za-z]+$
authHeaderPrefix
string

Optional credential prefix. CR and LF characters are rejected.

Maximum string length: 4096
publicHeaders
object

Response

Agent MCP installation updated.

server
object
required